Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7724 - fileutils uses intrnal strftime and not glibc's one
Summary: fileutils uses intrnal strftime and not glibc's one
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-10 10:57 UTC by Kostas Georgiou
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-18 13:33:13 UTC


Attachments (Terms of Use)

Description Kostas Georgiou 1999-12-10 10:57:43 UTC
ls in fileutils can't handle LC_TIME because it uses its own strftime
instead of glibc's. Looking at configure it looks like glibc strftime isn't
accepted because it can't handle the %f format (part of POSIX 2 it says)
since from what i've seen the only component in fileutils that needs
strftime is ls and it doesn't use the %f it should be possible to compile
with glibc's strftime.

Not really a big deal but it should be nice to have ls displaying dates
in the users locale.

Comment 1 Bernhard Rosenkraenzer 2000-01-18 13:33:59 UTC
fileutils in rawhide uses its internal strftime() only on systems that don't
have strftime.


Note You need to log in before you can comment on or make changes to this bug.